# Pouziti: perl elis2tex.pl < soubor.txt
# --------------------------------------
# Behem zpracovani:
#  * je vytvoren soubor /tmp/elis2tex.tex a prelozen pdflatexem
#  * v pripade potreby je mozno nastavit pocet sloupcu na radku 20
#
open (SOUBORFILE, ">/tmp/elis2tex.tex") or die "\n\n\n Nemuzu zalozit soubor /tmp/elis2tex.tex";

print SOUBORFILE "\\errorstopmode";
print SOUBORFILE "\\documentclass{article}\n\\usepackage{amsmath,amsfonts}\n\\usepackage{multicol}\n\\usepackage{a4wide}\n\\usepackage[czech]{babel}\\usepackage[IL2]{fontenc}\n\\begin{document}\n";
print SOUBORFILE "\\newcount\\cislo\\everymath{\\displaystyle}\n";
print SOUBORFILE "\\def\\arctg{\\arctan}\\everymath{\\displaystyle}\n";
print SOUBORFILE "\\def\\dobre#1{\\fbox{\$\\bullet\$} {#1}\\\\ }\n";
print SOUBORFILE "\\def\\spatne#1{ \\hbox{#1}\\\\ } \n";
print SOUBORFILE "\\parindent 0pt\n";
print SOUBORFILE "\\parskip 10pt\n";
print SOUBORFILE "\\rightskip 0 pt plus 1 fill\n";
print SOUBORFILE "\\columnseprule 0.4pt\n";

print SOUBORFILE "\\def\\jednicka{1 }\n";
print SOUBORFILE "\\def\\sloupce{2 }";
#print SOUBORFILE "\\message{Pocet sloupcu: }\\read-1 to\\sloupce\n";
print SOUBORFILE "\\ifx\\sloupce\\jednicka \\else \\begin{multicols}{\\sloupce} \\fi\n";

@pole=<STDIN>;

foreach $radek (@pole)
{
    chomp($radek);
    if ((substr($radek,0,1) eq "-")) 
    {
	substr($radek,0,1,"");
	print SOUBORFILE "\\spatne{",$radek,"}\n";
    }
    else
    {
	if ((substr($radek,0,1) eq "+")) 
	{
	    substr($radek,0,1,"");
	    print SOUBORFILE "{\\verb:",$radek,":}\n";
	}
	else
	{
	    print SOUBORFILE "\n\n";
	    if ($radek eq "")
	    {
		print SOUBORFILE "\n\n";
	    }
	    else
	    {
		print SOUBORFILE "\$\\global\\advance\\cislo by 1\\textbf{\\fbox{\\the \\cislo}}\$ ",$radek,"\\\\ ";
	    }
	}
    }
}  


print SOUBORFILE "\\ifx\\sloupce\\jednicka\\else\\end{multicols}\\fi\n";
print SOUBORFILE "\\end{document}";

system "cd /tmp&&pdflatex elis2tex.tex";

print "************************************\n", "Vystup je v souboru /tmp/elis2tex.pdf\n", "************************************\n";

system "xpdf /tmp/elis2tex.pdf&";


